MPD: LazyRandomEngine Class Reference

MPD 0.20.18

Public Types | Public Member Functions | Static Public Member Functions
LazyRandomEngine Class Reference

A random engine that will be created and seeded on demand. More...

`#include <LazyRandomEngine.hxx>`

## Public Types
typedef std::mt19937::result_type | result_type

## Public Member Functions
| LazyRandomEngine ()
| ~LazyRandomEngine ()
| LazyRandomEngine (const LazyRandomEngine &other)=delete
LazyRandomEngine & | operator= (const LazyRandomEngine &other)=delete
void | AutoCreate ()
| Create and seed the real engine. More...
result_type | operator() ()

## Static Public Member Functions
static constexpr result_type | min ()
static constexpr result_type | max ()

## Detailed Description

A random engine that will be created and seeded on demand.

Definition at line 32 of file LazyRandomEngine.hxx.

## Member Typedef Documentation

## ◆ result_type

typedef std::mt19937::result_type LazyRandomEngine::result_type

Definition at line 36 of file LazyRandomEngine.hxx.

## Constructor & Destructor Documentation

## ◆ LazyRandomEngine() [1/2]

LazyRandomEngine::LazyRandomEngine | ( |  | ) |
| inline

Definition at line 38 of file LazyRandomEngine.hxx.

## ◆ ~LazyRandomEngine()

LazyRandomEngine::~LazyRandomEngine | ( |  | ) |
| inline

Definition at line 39 of file LazyRandomEngine.hxx.

## ◆ LazyRandomEngine() [2/2]

LazyRandomEngine::LazyRandomEngine | ( | const LazyRandomEngine & | other | ) |
| delete

## Member Function Documentation

## ◆ AutoCreate()

void LazyRandomEngine::AutoCreate | ( |  | ) |

Create and seed the real engine.

Call this before any other method.

## ◆ max()

static constexpr result_type LazyRandomEngine::max | ( |  | ) |
| inlinestatic

Definition at line 56 of file LazyRandomEngine.hxx.

## ◆ min()

static constexpr result_type LazyRandomEngine::min | ( |  | ) |
| inlinestatic

Definition at line 52 of file LazyRandomEngine.hxx.

## ◆ operator()()

result_type LazyRandomEngine::operator() | ( |  | ) |
| inline

Definition at line 60 of file LazyRandomEngine.hxx.

## ◆ operator=()

LazyRandomEngine& LazyRandomEngine::operator= | ( | const LazyRandomEngine & | other | ) |
| delete

The documentation for this class was generated from the following file:

- util/LazyRandomEngine.hxx